#!/bin/bash

. /etc/init.d/functions
. /usr/local/Reductor/etc/const

log restart >> $LOGDIR/reductor.log
$BINDIR/firewall.sh --ipsetneedrecreate || $BINDIR/firewall.sh --modulesneedreload
NEED_STOP=$?

if [ "$1" = '--force' ]; then
	NEED_STOP=0
fi

if [ "$NEED_STOP" == '0' ]; then
	$BINDIR/stop.sh
	echo_result
else
	echo "Skip stop, cause ipset and modules not changed"
	$BINDIR/billing_redirect.sh stop
fi

if [ "$NEED_STOP" == '0' ]; then
	$BINDIR/start.sh
	echo_result
else
	if ! $BINDIR/start.sh; then
		$BINDIR/stop.sh
		echo_result
		$BINDIR/start.sh
	fi
	echo_result
fi
