#!/usr/bin/python

import json
from copy import deepcopy

old_file = '/usr/local/Reductor/cache/https_resolv.json'

try:
	with open(old_file) as f:
		old_data = json.loads(f.read())
except:
	old_data = {}

fix_data = deepcopy(old_data)

for domain, domain_data in fix_data.items():
	for key in ('ip', 'ip6'):
		if type(domain_data.get(key)) == dict:
			continue
		tmp_ip = {}
		for ip in domain_data.get(key):
			tmp_ip[ip] = (180, domain_data.get('last_update'))
		domain_data[key] = tmp_ip

with open(old_file, 'w') as f:
	f.write(json.dumps(fix_data, indent=4))
