#!/bin/bash

. /usr/local/Reductor/etc/const
. $CONFIG

if [ "${filter['workaround']:-0}" = '0' ]; then
	exit 0
fi

remote_repo="${autoupdate['url']}"/workarounds/
local_repo=/var/lib/reductor/workarounds/

echo "- Обновляем хотфикс-списки"
mkdir -p $local_repo
if [ -d $local_repo/.git ]; then
	(
		cd $local_repo
		git pull origin master
	)
else
	git clone "$remote_repo" "$local_repo"
fi

find $local_repo -type f -name "workaround.*" -exec cp -av {} $LISTDIR/ \;

while read file; do
	rm -vf "$LISTDIR/$file"
done < $CONTRIB/etc/workaround.deprecated
