#!/bin/bash

. /usr/local/Reductor/etc/const
. $MAINDIR/usr/share/angel_lib

check() {
	[ "${autoupdate['enabled']}" != '1' ] && return 0
	/usr/local/Reductor/tests/cert.sh &>/dev/null || exit 1
	date_finish="$(date +%s --date="$($BINDIR/check_cert_date auto | grep notAfter | cut -d '=' -f2)")"
	date_current="$(date +%s)"
	days_before_finish=$(((date_finish - date_current) / 86400))
	[ "$days_before_finish" -gt '14' ]
}

error() {
	log "Нужно приобрести новый сертификат, осталось $days_before_finish дней"
	log_error "Кончается срок действия сертификата"
}

main
