#!/bin/bash

. /usr/local/Reductor/etc/const
. $MAINDIR/usr/share/angel_lib
. $CONFIG

check() {
	! tr ':' ' ' < /proc/net/dev | grep [0-9] | awk '{print $5}' > $TMPDIR/check_dropped_packets_new
	if [ ! -f $TMPDIR/check_dropped_packets_prev ]; then
		mv $TMPDIR/check_dropped_packets_new $TMPDIR/check_dropped_packets_prev
		return 0
	fi
	cmp $TMPDIR/check_dropped_packets_new $TMPDIR/check_dropped_packets_prev > /dev/null && return 0
	mv $TMPDIR/check_dropped_packets_new $TMPDIR/check_dropped_packets_prev
	grep -v '^0$' $TMPDIR/check_dropped_packets_prev
}

error() {
	log_error "Имеются missed пакеты"
	echo "На одной из сетевых карт дропаются пакеты, вероятно нужно настроить полинг очередей"
	echo "Воспользуйтесь статьёй http://docs.carbonsoft.ru/pages/viewpage.action?pageId=50660098 для починки"
	echo
	ip -s -s link show label eth* | __code
	echo
	cat /proc/interrupts | __code
	echo
	cat /proc/net/dev | __code
	echo

}

main
